--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the index of the field specified by the string <em>name</em>.
- !ruby/struct:SM::Flow::VERB 
  body: "  res=conn.exec(&quot;SELECT foo,bar AS biggles,jim,jam FROM mytable&quot;)\n  puts res.fieldnum('foo') =&gt; 0\n"
- !ruby/struct:SM::Flow::P 
  body: Raises an ArgumentError if the specified <em>name</em> isn't one of the field names; raises a TypeError if <em>name</em> is not a String.
full_name: PGresult#fieldnum
is_singleton: false
name: fieldnum
params: |
  res.fieldnum( name )

visibility: public
